
#import "ViewController.h"
#import "PGMobileSDK/PGMobileSDK.h"


@interface ViewController ()

@end

@implementation ViewController

@synthesize encryption;

@synthesize cardNumberField;
@synthesize expirationField;
@synthesize cvvField;

@synthesize encryptedDataLabel;
@synthesize unencryptedDataLabel;


- (void)viewDidLoad
{
    [super viewDidLoad];

    //Set up a PaymentGatewayEncrypt object to handle card encryption.
    //Once data is encrypted, it can only be decrypted by the Payment Gateway.
    
    //Note: Encryption keys are for use by a single merchant -- If
    //Merchant A's key is used to encrypt data, it can not be submitted
    //to the Payment Gateway by Merchant B.
    
    encryption = [[PGEncrypt alloc] init];
    
    //Set the encryption key that will be used to encrypt card data.
    //Make sure when copying your key that you include the entire key string.
    //The key string should start and end with 3 asterisks which should be
    //included in the call to setKey.
    //e.g. [encryption setKey:@"***15|jealijvm...nqklewrg***"];

    //To obtain an encryption key, log onto the Payment Gateway and navigate to
    //Settings, then Security Keys, then click View Your Mobile SDK Key.

    [encryption setKey:
     @"{{{Paste your key here}}}"];

}

-(IBAction)didClickEncrypt:(id)sender
{
    
    PGCard *cardData = [[[PGKeyedCard alloc] initWithCardNumber:cardNumberField.text
                                                 expirationDate:expirationField.text
                                                            cvv:cvvField.text]
                        autorelease];

    //Encrypt the card data.  After this call, the encrypedCardData string
    //can be treated as a bundled card that can be passed to the
    //Payment Gateway at any time to process a transaction.
    //Note:If includeCVV is YES, the encrypted data will include the CVV.
    //PCI rules prohibit storing the CVV, even in encrypted form, so if the encrypted
    //card data is going to be stored, make sure you set includeCVV to NO.
    NSString *encryptedCardData = [encryption encrypt:cardData includeCVV:YES];
    encryptedDataLabel.text = [NSString stringWithFormat:@"Encrypted Data: %@", encryptedCardData];
    
    NSString *unencryptedCardData = [cardData getDirectPostStringWithCVVIncluded:YES];
    unencryptedDataLabel.text = [NSString stringWithFormat:@"Unencrypted Data: %@", unencryptedCardData];

    
    //The encrypted data is ready to be sent to the Merchant's server.
    //See the DirectPost API for details on how to send the payment from the Merchant's
    //server to the Gateway.
    //The name-value pair name to use for encrypted payments is:
    //encrypted_payment=%@
    //where %@ is the string resulting from calling PGEncrypt encrypt:includeCVV:
    
}


-(void)resignFirstResponder:(id)sender
{
    UITextField *field = (UITextField *)sender;
    [field resignFirstResponder];
}


- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
}

-(void)dealloc
{
    [encryption release];
    [super dealloc];
}


@end
