
#import <Foundation/Foundation.h>

@interface PGUnimagPacket : NSObject {
    
    NSString *name;
    NSString *expirationDate;
    NSString *cardNumberMasked;
    NSString *serialNumber;
    BOOL track_1_decoded_present;
    BOOL track_2_decoded_present;
    BOOL track_3_decoded_present;
    BOOL track_1_sampling_present;
    BOOL track_2_sampling_present;
    BOOL track_3_sampling_present;
    BOOL track_1_mask_present;
    BOOL track_2_mask_present;
    BOOL track_3_mask_present;
    BOOL track_1_encrypted_present;
    BOOL track_2_encrypted_present;
    BOOL track_3_encrypted_present;
    BOOL track_1_hash_present;
    BOOL track_2_hash_present;
    BOOL track_3_hash_present;
    BOOL session_id_present;
    BOOL ksn_present;
    BOOL serial_avail;
    NSString *encrypted_track_1;
    NSString *encrypted_track_2;
    NSString *encrypted_track_3;
    NSString *encrypted_ksn;
    BOOL isValid;
}

@property (nonatomic, retain) NSString *name;
@property (nonatomic, retain) NSString *expirationDate;
@property (nonatomic, retain) NSString *cardNumberMasked;
@property (nonatomic, retain) NSString *serialNumber;
@property (nonatomic, retain) NSString *encrypted_track_1;
@property (nonatomic, retain) NSString *encrypted_track_2;
@property (nonatomic, retain) NSString *encrypted_track_3;
@property (nonatomic, retain) NSString *encrypted_ksn;
@property BOOL isValid;
@property BOOL track_1_decoded_present;
@property BOOL track_2_decoded_present;
@property BOOL track_3_decoded_present;
@property BOOL track_1_sampling_present;
@property BOOL track_2_sampling_present;
@property BOOL track_3_sampling_present;
@property BOOL track_1_mask_present;
@property BOOL track_2_mask_present;
@property BOOL track_3_mask_present;
@property BOOL track_1_encrypted_present;
@property BOOL track_2_encrypted_present;
@property BOOL track_3_encrypted_present;
@property BOOL track_1_hash_present;
@property BOOL track_2_hash_present;
@property BOOL track_3_hash_present;
@property BOOL session_id_present;
@property BOOL ksn_present;
@property BOOL serial_avail;



+ (PGUnimagPacket *) unimagPacketFromString:(NSString *)packetData;
+ (void)updateTrackStatus:(NSString *)data :(PGUnimagPacket *)p;
+ (void)updateMaskedStatus:(NSString *)data :(PGUnimagPacket *)p;
+ (void)updateEncryptedStatus:(NSString *)data :(PGUnimagPacket *)p;
+ (int unsigned)toInteger:(NSString *)input;
+ (NSString *) stringFromHex:(NSString *)str;
+ (NSString *)toBinary:(NSUInteger)input;
@end
