package com.example.paymentgatewayencryptionsample;

import com.SafeWebServices.PaymentGateway.PGEncrypt;
import com.SafeWebServices.PaymentGateway.PGKeyedCard;

import android.os.Bundle;
import android.app.Activity;
import android.view.Menu;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;

public class MainActivity extends Activity {
    
    PGEncrypt pg;
    String transInfo;

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_encrypt);
        
        pg = new PGEncrypt();
        pg.setKey("{{{Paste your key here.}}}");
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.activity_main, menu);
        return true;
    }
    
    public void onClickEvent(View v) {
        //get values from view
        EditText ccnumber = (EditText)findViewById(R.id.ccnumber);
        EditText ccexp = (EditText)findViewById(R.id.ccexp);
        EditText cvv = (EditText)findViewById(R.id.cvv);
        
        TextView unencrypted = (TextView)findViewById(R.id.textUnencrypted);
        TextView encrypted = (TextView)findViewById(R.id.textEncrypted);
        
        //Create a member of the PaymentGatewayCard class.
        PGKeyedCard card = new PGKeyedCard(ccnumber.getText().toString(), ccexp.getText().toString(), cvv.getText().toString());
        
        /*
         * Two ways to get encrypted information.
         * Method 1: Pass plaintext string
         ** String plainText = card.getDirectPostString(true);
         ** String crypted = pg.encrypt(plaintext);
         *
         * Method 2: Pass PaymentGatewayCard
         ** String crypted = pg.encrypt(card, true);
         *
         * Method 2 is used for this example.
         */
        
        String plaintext = card.getDirectPostString(true);
        String crypted = pg.encrypt(card, true);
        
        //Set text in the view
        unencrypted.setText((CharSequence) plaintext);
        encrypted.setText((CharSequence) crypted);
    }
}
